Bug 240691 - system clock change and form timer
Summary: system clock change and form timer
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: newt   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-20 12:50 UTC by Tristan Hill
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 0.52.7-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-17 16:14:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
modify test.c to change system time to reproduce spinner hang (867 bytes, patch)
2007-05-20 12:50 UTC, Tristan Hill
no flags Details | Diff
proposed patch (885 bytes, patch)
2007-05-20 12:52 UTC, Tristan Hill
no flags Details | Diff

Description Tristan Hill 2007-05-20 12:50:38 UTC
Description of problem:
If the system clock is corrected backwards after newtFormRun is called and a
form timer is used it can appear to hang.

This is shown by the spinner in test.c with the attached patch.

Comment 1 Tristan Hill 2007-05-20 12:50:38 UTC
Created attachment 155058 [details]
modify test.c to change system time to reproduce spinner hang

Comment 2 Tristan Hill 2007-05-20 12:52:59 UTC
Created attachment 155059 [details]
proposed patch

and a sanity check to reset form->lastTimeout if current system time is less
than time of lastTimeout

Comment 3 Miroslav Lichvar 2007-05-21 13:29:10 UTC
Fixed in upstream cvs, will be in the next newt release. Thanks.

Comment 4 Miroslav Lichvar 2007-06-15 13:23:52 UTC
Fixed in newt-0.52.7-1.fc8.

Comment 5 Fedora Update System 2007-08-09 16:48:44 UTC
newt-0.52.7-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2007-08-17 16:13:57 UTC
newt-0.52.7-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.